GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
subchannel_factory.h File Reference
`#include "src/core/channel/channel_stack.h"`
`#include "src/core/client_config/subchannel.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_subchannel_factory
| Constructor for new configured channels. More...
struct | grpc_subchannel_factory_vtable

## Typedefs
typedef struct grpc_subchannel_factory | grpc_subchannel_factory
typedef struct grpc_subchannel_factory_vtable | grpc_subchannel_factory_vtable

## Functions
void | grpc_subchannel_factory_ref (grpc_subchannel_factory *factory)
void | grpc_subchannel_factory_unref (grpc_subchannel_factory *factory)
grpc_subchannel * | grpc_subchannel_factory_create_subchannel (grpc_subchannel_factory *factory, grpc_subchannel_args *args)
| Create a new grpc_subchannel. More...

## Typedef Documentation

typedef struct grpc_subchannel_factory grpc_subchannel_factory

typedef struct grpc_subchannel_factory_vtable grpc_subchannel_factory_vtable

## Function Documentation

grpc_subchannel* grpc_subchannel_factory_create_subchannel | ( | grpc_subchannel_factory * | factory,
|  | grpc_subchannel_args * | args
| ) |  |

Create a new grpc_subchannel.

void grpc_subchannel_factory_ref | ( | grpc_subchannel_factory * | factory | ) |

void grpc_subchannel_factory_unref | ( | grpc_subchannel_factory * | factory | ) |